Summary:	An event system library
Summary(pl.UTF-8):	Biblioteka systemu zdarzeń
Name:		tevent
Version:	0.9.19
Release:	1
License:	LGPL v3+
Group:		Libraries
Source0:	http://samba.org/ftp/tevent/%{name}-%{version}.tar.gz
# Source0-md5:	f9ecb7e344bd20fb40f05e97116523f2
URL:		http://tevent.samba.org/
BuildRequires:	talloc-devel >= 2.0.8
BuildRequires:	python-devel >= 1:2.4.2
BuildRequires:	python-talloc-devel >= 2.0.8
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.219
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Tevent is an event system based on the talloc memory management
library. It is the core event system used in Samba.

The low level tevent has support for many event types, including
timers, signals, and the classic file descriptor events.

Tevent also provide helpers to deal with asynchronous code providing
the tevent_req (tevent request) functions.

%description -l pl.UTF-8
Tevent to system zdarzeń oparty na bibliotece zarządzającej pamięcią
talloc. Jest to główny system zdarzeń używany w Sambie.

Niskopoziomowo tevent obsługuje wiele rodzajów zdarzeń, w tym
zegary, sygnały i zdarzenia związane z klasycznymi deskryptorami
plików.

Tevent udostępnia także funkcje pomocnicze tevent_req (żądanie tevent)
dla kodu asynchronicznego.

%package devel
Summary:	Header files for tevent library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki tevent
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	talloc-devel >= 2.0.8

%description devel
Header files for tevent library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki tevent.

%package -n python-tevent
Summary:	Python bindings for tevent
Summary(pl.UTF-8):	Pythonowy interfejs do tevent
Group:		Libraries/Python
Requires:	%{name} = %{version}-%{release}
Requires:	python-talloc >= 2.0.8
%pyrequires_eq  python-libs

%description -n python-tevent
Python bindings for tevent.

%description -n python-tevent -l pl.UTF-8
Pythonowy interfejs do tevent.

%prep
%setup -q

%build
# note: configure in fact is waf call
CC="%{__cc}" \
CFLAGS="%{rpmcflags}" \
PYTHONDIR=%{py_sitedir} \
./configure \
	--prefix=%{_prefix} \
	--libdir=%{_libdir}

%{__make} \
	V=1

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%py_comp $RPM_BUILD_ROOT%{py_sitedir}
%py_ocomp $RPM_BUILD_ROOT%{py_sitedir}
%py_postclean

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libtevent.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libtevent.so.0

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libtevent.so
%{_includedir}/tevent.h
%{_pkgconfigdir}/tevent.pc

%files -n python-tevent
%defattr(644,root,root,755)
%attr(755,root,root) %{py_sitedir}/_tevent.so
%{py_sitedir}/tevent.py[co]
%changelog
* Sat Nov 30 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/tevent.git;a=log;h=master

* Sun Aug 25 2013 Jakub Bogusz <qboosh@pld-linux.org> 39d74ad
- updated to 0.9.19

* Fri Mar 08 2013 Jakub Bogusz <qboosh@pld-linux.org> 7fe7a6e
- updated to 0.9.18

* Sun Aug 26 2012 Jakub Bogusz <qboosh@pld-linux.org> e07ca9a
- updated to 0.9.17

* Tue Jun 12 2012 Jakub Bogusz <qboosh@pld-linux.org> b967205
- updated to 0.9.16

* Mon Feb 13 2012 Jakub Bogusz <qboosh@pld-linux.org> 70aba66
- package tevent python module

* Sat Feb 11 2012 zbyniu <zbyniu@pld-linux.org> dd71e5f
- up to 0.9.15

* Sat Oct 22 2011 Elan Ruusamäe <glen@pld-linux.org> cf00ee0
- deps

* Sun Aug 14 2011 Jakub Bogusz <qboosh@pld-linux.org> 5f219b5
- updated to 0.9.14

* Mon Jul 11 2011 Jakub Bogusz <qboosh@pld-linux.org> 3a24374
- updated to 0.9.13

* Thu Jun 30 2011 Jakub Bogusz <qboosh@pld-linux.org> c7e310f
- updated to 0.9.12

* Wed Mar 16 2011 Jakub Bogusz <qboosh@pld-linux.org> 2d279ee
- updated to 0.9.11

* Sat Jan 15 2011 Jakub Bogusz <qboosh@pld-linux.org> d79016b
- new spec

